yaml-cpp 0.5.0


Richard Shaw <hobbe...@...>
 

I noticed that yaml-cpp 0.5.0 was released with the new API. Is there
a plan to move to the new API or stick with the 0.3.0 API?

Thanks,
Richard


Jeremy Selan <jeremy...@...>
 

I think the plan is to stick with the existing API, until there is a
compelling reason to upgrade.

Is there any advantage to bumping up?

-- Jeremy

On Tue, Jan 8, 2013 at 6:05 AM, Richard Shaw <hobbe...@gmail.com> wrote:
I noticed that yaml-cpp 0.5.0 was released with the new API. Is there
a plan to move to the new API or stick with the 0.3.0 API?

Thanks,
Richard

--


Richard Shaw <hobbe...@...>
 

On Tue, Jan 8, 2013 at 9:54 PM, Jeremy Selan <jeremy...@gmail.com> wrote:
I think the plan is to stick with the existing API, until there is a
compelling reason to upgrade.

Is there any advantage to bumping up?
Not that I know of. And as long as nothing else in Fedora wants
yaml-cpp it doesn't really matter. The problem would be if another
package wanted/needed 0.5.0 then we would have to decide if it was
practical for all packages to use the same version of yaml-cpp or if
we would have to come up with a parallel installable package (no
namespace or file conflicts) which depending on upstream can be easy
or hard.

Richard